
From: Matt Mackall <mpm@selenic.com>

This thinko..  makes things a bit more arbitrary than we'd like.  I've
re-audited the other rotate conversions.

Signed-off-by: Matt Mackall <mpm@selenic.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/char/random.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/char/random.c~random-pt2-kill-redundant-rotate_left-definitions-fix drivers/char/random.c
--- 25/drivers/char/random.c~random-pt2-kill-redundant-rotate_left-definitions-fix	2005-03-07 20:41:47.000000000 -0800
+++ 25-akpm/drivers/char/random.c	2005-03-07 21:14:21.000000000 -0800
@@ -556,7 +556,7 @@ static void __add_entropy_words(struct e
 	add_ptr = r->add_ptr;
 
 	while (nwords--) {
-		w = rol32(input_rotate, next_w);
+		w = rol32(next_w, input_rotate);
 		if (nwords > 0)
 			next_w = *in++;
 		i = add_ptr = (add_ptr - 1) & wordmask;
_
